Bug 226458 - www/chromium: unbundle libvpx
Summary: www/chromium: unbundle libvpx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-08 18:48 UTC by Jan Beich
Modified: 2018-03-31 11:52 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (chromium)
jbeich: maintainer-feedback? (kde)


Attachments
patch-unbundle-libvpx.diff (1.09 KB, patch)
2018-03-08 19:17 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-03-08 18:48:49 UTC
According to Mozilla v1.6.1 needs at least ports r460753 and ports r463848, Android - ports r463910. There're probably more, so staying on anything but the latest version is a security risk given the lack of sandboxing.

- www/chromium: bundles libvpx v1.6.1-1403-gcbe62b9c2
- www/iridium: bundles libvpx v1.6.1-263-g8121f8547
- www/qt5-webengine: bundles libvpx v1.6.0-702-g5c64c01

https://security-tracker.debian.org/tracker/source-package/libvpx
Comment 1 Jan Beich freebsd_committer 2018-03-08 18:57:22 UTC
Does Chromium actually use libvpx for decoding VP8/VP9 videos? For one, FFmpeg has faster decoder.
Comment 2 Carlos J. Puga Medina freebsd_committer 2018-03-08 19:16:28 UTC
(In reply to Jan Beich from comment #1)

Yes, it seems that system version of libvpx-1.7.0 doesn't break the build at this time on ArchLinux.

https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/chromium#n53
Comment 3 Carlos J. Puga Medina freebsd_committer 2018-03-08 19:17:35 UTC
Created attachment 191317 [details]
patch-unbundle-libvpx.diff
Comment 4 Carlos J. Puga Medina freebsd_committer 2018-03-08 19:18:00 UTC
(In reply to Carlos J. Puga Medina from comment #3)

Can you run some tests using this patch?
Comment 5 Carlos J. Puga Medina freebsd_committer 2018-03-25 11:00:41 UTC
(In reply to Carlos J. Puga Medina from comment #4)

I did some tests and it works fine.
Comment 6 Carlos J. Puga Medina freebsd_committer 2018-03-31 11:52:47 UTC
Fixed in r466043.